$(function(){


	var user = fetchUSER();

	var pageNow = 1,sumpage=0;

	eventlist = function(_page){
		if(user.hostId==''||user.hostId=='0'){
			gotoLogin();
			return;
		}

		this.pageNow = _page;
		var params={
				hostId:user.hostId,
				page:_page
		};
		var _path=buildHTTP("/eventsign/find.shtml");
		$.ajax({
			url: _path, 
			type: "post", 
			dataType: "json",
			data:$.toJSON(params),   
			contentType:"application/json",
			success: function(data) { 
				sumpage = data.pageCount;

				if(data.pageCount<=1){
					$("#prexBtn").addClass("disabled");
					$("#nextBtn").addClass("disabled");
				}

				if(data.rowCount==0){
					var vhtml = template('noeventHtml', data);
					$("#eventlist").html(vhtml);
				}else{
					var vhtml = template('eventHtml', data);
					$("#eventlist").html(vhtml);
				}
			}
		});
	}; 

	eventlist(pageNow);

	prexpage = function(){
		if(pageNow>=2){
			pageNow--;
			fetchSign(pageNow);
		}else{
			$("#prexBtn").addClass("disabled");
		}

	};

	nextpage = function(){
		if(pageNow<sumpage){
			pageNow++;
			fetchSign(pageNow);
		}else{
			$("#nextBtn").addClass("disabled");
		}
	};


	$.init();
});